const filterTableId = "#filterTable";


// region Init Module

function initFiltersModule() {
    initializeDataTable(
        filterTableId,
        [
            {
                title: "Name",
                data: "name"
            },
            {
                title: "Match",
                data: "match"
            },
            {
                title: "Algorithm",
                data: "matching_algorithm"
            },
            {
                title: "Case Insensitive",
                data: "is_insensitive"
            },
            {
                title: "Type",
                data: "is_whitelist"
            }
        ]
    )
}


// region Load Data

$(document).on("selectedServerChange", async function() {
    await loadFilterData();
});

$(filterTableId).on("doDataLoad", async function() {
    await loadFilterData();
});

async function loadFilterData() {
    if (!selectedServer) {
        return;
    }

    setTableFilter(filterTableId, "server", selectedServer.id);
    await loadTableData(filterTableId, "/api/filters/", "GET");
}
